Contents

Table of Contents

Welcome to Antechinus JavaScript Editor, the program that helps you transform your Web pages from displaying static content to live, dynamic, interactive applications!

Overviev
Menus
Info Pane
Project Pane
Intellisense and autocomplete
How to...
Other products by C Point

Copyright © 2000-2002 C Point. All rights reserved.
Revised: April 2002.

http://www.c-point.com


Overview

Antechinus JavaScript Editor allows you to spice up your Web pages with JavaScript. Its aim is to transform your pages from displaying static content to live, dynamic, interactive applications.

In short, here is what Antechinus JavaScript Editor has to offer:

  • Unified color-coded syntax - both for JavaScript and Html
  • Ability to experiment - unlimited Undo and Redo are only one click away
  • Context-sensitive help: just hit F1 to receive help on the function, method, or property under the cursor
  • Complete JavaScript reference
  • Comprehensive JavaScript tutorial from beginners to advanced users
  • Bookmarking for easy navigation
  • Help as you type: Intellisense/Auto-complete eliminates the need to memorize standard functions, methods, properties and parameter lists
  • The brace matching - see the scope of the function or expression immediately
  • Ability to automate code insertion and repetitive tasks, and provide macro-like capabilities via industry-standard Visual Basic for Applications (VBScript)
  • Single-click navigation between documents using document tabs
  • Find functions in your documents easily - they are automatically listed in the Functions tab
  • Create standard .js and .html files using predefined templates, or create your own templates, and
  • Categorized source code solutions.

Where to go from here:
Menus
Info pane
Project pane
Intellisense
How to...
Other products by C Point

Antechinus JavaScript Editor is the complete rework of the former Platypus JavaScript Editor v1.2 - we have implemented over 100 suggestions that you, users of our software, conveyed to us. Our mission is to provide high-quality software at the best prices on the Internet. Please help us improve Antechinus JavaScript Editor by sending us your comments and suggestions to c-point@c-point.com.

Happy coding!
The C Point team
http://www.c-point.com


Menus

File

Edit

View

Options

VBScript

Tools

Functions

Operators

Html

Window

Help


Intellisense/Auto-complete

Antechinus uses Intellisense® to simplify writing of code and make it more error-free. It works by monitoring your keystrokes and offering pick-lists with member functions, methots and properties, as shown below.

Use Intellisense to:

  • Speed up your work: pressing Enter when a pick-list item is highlighted will auto-complete the statement
  • Select the function or method from he list
  • Examine the methods that are available for the given class. Some classes, (e.g., String) have many methods and properties that are otherwise hard to remember, and
  • Examine the function declaration and its list of parameters.
Some points to keep in mind:

  • Some properties (e.g., screen.colorDepth) you can get, but not set. In this case, the property will be marked readonly.
  • Some methods may have optional parameters. The optional parameters are listed in square brackets, e.g., ArrayVar.slice(start, [end]);


How to...

...view Antechinus-made Web pages in different browsers

By default, View in Browser opens your Web pages in the default Web browser. See how to add other browsers to the Tools menu and and configure them.

...combine Antechinus with visual Web editing tools

In addition to Antechinus' text-based view of your Html files, visual Web editing tools (e.g., Platypus Web Builder, Front Page, or Dreamweaver) can be added to the Tools menu, allowing you to switch between them and use the best of both worlds.

...add your own solutions to the Solutions tab

You can easily add your own solutions - please see the information on the Project pane.

...embed JavaScript code in Html documents

In the <HEAD> section of your Html file, enter the following:

<SCRIPT LANGUAGE = JavaScript>

function MyFunction()
{
   ...
}

</SCRIPT>

Embedding the JavaScript functions in your Html documents is easy. However, if the same function is used in more than one Html file, we recommend storing the functions in .js files instead, for the following reasons:

  • Smaller files. Your JavaScript functions will be stored in a single .js file, rather than in several Html files, making your Web pages smaller and faster to load.
  • Easier maintenance. If you discover a bug, you only need to change a single .js file. If your functions are embedded in your Html files, you will have to modify all of them, which is tedious and error-prone: there is always a possibility of missing a file.
  • Reuse. Functions stored in .js files tend to be of more generic nature, and can be reused in other Html documents.
...call JavaScript functions stored in separate .js files

In the <HEAD> section of your Html file, enter the following:

<SCRIPT language=JavaScript src="MyFunctions.js">
</SCRIPT>

You can now call all the functions contained in MyFunctions.js. This approach has many advantages to embedded JavaScript code (see the discussion in the previous point).


Other products

Other Products by C Point

C Point has been creating the tools for software developers since February 1991, in the following categories:

  • Programming tools
  • Graphic, animation, and Multimedia, and
  • Web development.
To download C Point applications and resources, please visit our Web site at:
http://www.c-point.com

Programming tools

  • Antechinus C# Editor. Utilize the power of .NET.
Graphics, animation, and Multimedia

  • Antechinus Draw Magic. Powerful flowcharting, diagramming, and drawing program with a vast set of extensible clipart libraries.
  • Platypus Animator. Import images, add sounds, create AVI videos.
  • Antechinus Media Editor. Create AVI and MPEG animations and videos. Add sound to AVI and MPEG animations. Record Mp3 files. Try morphing...
  • Platypus Multimedia Author. Create interactive Multimedia applications visually.
Web development

  • Platypus Web Builder. Develop interactive Web sites visually through a point-and-click interface, with objects that move and react, roll-overs, automated navigation, animations, sounds, videos, Shockwave, Java, JavaScript, CGI...


The File menu

Check for Upgrades

Checks if the later version of Antechinus JavaScript Editor is available. If it is, the program displays the availability, and the list of changes and improvements. You must be connected to the Internet to use this option.

New

Creates the new document.

New from Template

Creates the new JavaScript or Html document using one of the existing templates. Each template has a description telling you in more detail what the template is used for.

Open

Opens an existing document.

Reload

Discards the changes you made to the document and reloads the last saved version.

Close

Closes the current document. Prompts to save changes if the document has been modified.

Save

Saves the current document.

Save as Template

Saves the document in the Template folder, allowing you to re-use it as the starting point for creating new documents. It prompts you to write the description of the template, which you can edit at a later time.

Save All

Saves all modified open files. Prompts you for the name and location of the document if it has not been saved before.

View in Browser

Opens your document in the default Web browser. Use this option with .html, .htm, .asp, and other browser-supported files, but not with .js files, which should be linked in the html files.
You can easily view your documents using different Web browsers - please see the Tools menu.

Print

Sends the current document to the printer.

Print Preview

Opens the print preview dialog.

Print Setup

Allows you to change the printer and specify the printing options.

Recent File List

Allows you to open the documents from the Recent File List.

Exit

Closes Antechinus JavaScript Editor. Prompts to save changes if the document has been modified.


Edit menu

The Edit menu

Undo

Undoes the last editing action.

Redo

Redoes the last editing action.

Cut

Cuts the selected text and places it on the Clipboard.

Copy

Places the copy of the selected text on the Clipboard.

Paste

Inserts the text from the Clipboard into the document.

Toggle Bookmark

Bookmarks the line you are editing, displayed as the blue rounded rectangle. If the bookmark is already there, it will be cleared.

Clear Bookmark

Clears an already set bookmark.

Clear All Bookmarks

Removes all the bookmarks from the current document.

Go to Next Bookmark

Scrolls to the next bookmarked position.

Go to Previous Bookmark

Scrolls to the previous bookmarked position.

Go to Line

Scrolls to the line number that you specify. This option can be useful for debugging the application.

Change to Upper Case

Changes the selected text to upper case.

Change to Lower Case

Changes the selected text to lower case.

Search

Opens the Search dialog allowing you to specify the word or phrase to search for, and specify the search options. To find the next occurance, press F3.

Replace

Opens the Replace dialog allowing you to replace one word or phrase with another one.

Go to Matching Brace

Positions the cursor to the brace matching the currently selected one, alowing you to see the scope of the function or expression. Before using this option select the brace, or place the cursor immediately before or after the brace.


View menu

The View menu

This menu allows you to show or hide the toolbars and panes used by the program. By default, all the toolbars and panes are visible. However, if you are working at low resolution (e.g., 640x480), you might wish to hide some of the toolbars and panes in order to have more space for editing.

The last option, View in Browser, opens your document in the default Web browser. Use this option with .html, .htm, .asp, and other browser-supported files, but not with .js files, which should be linked in the html files.
You can easily view your documents using different Web browsers - please see the Tools menu.


Options menu

The Options menu

Settings

Opens the Settings dialog, allowing you to specify the fonts and colors for different syntax elements, and other options.

Save Files before Viewing

If this option is switched on, the program will prompt you to save the modified files before viewing them in the Web browser.

Intellisense/Auto-complete

Switches the Intellisense/Auto-complete feature on and off. By default, this option is on. However, switching this option off might speed up the editing on old and slow machines.


VBScript

The VBScript menu

Antechinus supports industry-standard Visual Basic Script for applications. This allows you to automate repetitive tasks (e.g., inserting blocks of code), and implement macro-like capabilities. This is done by accessing the document (Doc) and the application (App) objects.
The built-in VBScript editor automatically saves and loads the scripts to and from the Scripts folder. Also, color-coding and Intellisense/Auto-complete are fully supported.

VBScript is simple and is best learned by example. We suggest that you run the supplied sample scripts and examine the code.

  • To list all the available VBScript properties and methods, right-click anywhere in the editor to open the popup menu, and select List Properties/Methods.
  • The Doc object is an interface to the JavaScript editor: it allows you to examine the text, insert more text, and perform other operations. The Programmer.hbs file is an example of how to use the Doc object to select text and replace the selection or insert more text.
  • The App object is a limited interface to the Antechinus application: it allows you to open and save documents, change the size and position of the window, and use the timer. MovingWindow.hbs and SizeAndPos.hbs are examples of how to use the App object.
  • Try typing 'Doc.' to activate the Intellisense and see all the properties and methods belonging to the document object, or 'App.' for the application object.

Select

Loads an existing script for running or editing.

New

Creates the new VBScript.

Edit

Opens the VBScript editor to edit the selected script.

Run

Executes the selected VBScript.

Pause

Pauses the currently running VBScript.

Stop

Stops the currently running VBScript.


Tools menu

The Tools menu

This option allows you to add other applications to the menu and invoke them as needed. Most commonly, you would use this option to list all the Web browsers you wish to test the code with, or to list the visual Web editors, such as Platypus Web Builder, FrontPage, or DreamWeaver. To add a new tool to the Tools menu:

  • Select Tools/Add & Edit Tools from the Tools menu
  • Click on the New button and type in the name of the tool to add
  • On the command line, type in the full path to the tool, or browse to it to select it (for example, c:\Windows\Notepad.exe)
  • Specify the arguments to pass to the tool when invoking it. For example, $(FilePath) will expand to the full path to the file you are currently editing, and
  • Click on the Update button to store the changes.
The new application has been added to the Tools menu. You can now close the Add & Edit Tools dialog, and call the application from the Tools menu.


Functions menu

The Functions menu

This option allows you to select some of the commonly used JavaScript functions and events. It has been carried over from the previous version of the editor, but it is now superseeded by the built-in Intellisense/Auto-complete mechanism.
For the examples and additional explanation on JavaScript objects, methods, and properties, please see the JavaScript reference.


Operators menu

The Operators menu

This option allows you to insert JavaScript operators and branching constructs into the code. For the examples and additional information on how to use the constructs and operators please see the JavaScript reference.

It is important to create the new functions using Operators/function (F8 key) to have them automatically listed in the Info pane. If you create the new functions in some other way, you can still direct the program to re-scan the document for all new, modified, or deleted functions by pressing the F9 key (alternatively, right-click in the Info/Functions pane and select Refresh). Also, switching to a different document automatically scans for functions.


Html menu

The Html menu

The Html menu provides you with the text-based way of formatting Web pages. For more complex designs, we suggest combining Antechinus JavaScript Editor with one of the visual Web editors, such as Platypus Web Builder, FrontPage, or Dreamweaver.


Window menu

The Window menu

The Window menu provides you with the standard mechanism of arranging the document windows and switching between the documents.
To maximize the editing space, we suggest that you always work with maximised windows and use the single-click document tabs for switching between documents.


Help menu

The Help menu

Manual

Opens the manual (this file).

JavaScript Reference and Tutorial

Opens the JavaScript reference and tutorial.

Antechinus Website

Takes you to the C Point Web site, the authors of Antechinus JavaScript Editor. Here you can download additional resources and applications, join the discussion board, and get the latest developers' news.

Send us an Email

This options opens your default email client, so you could send your comments and suggestions to us. Please help us make Antechinus a better product.

About Antechinus JavaScript Editor

Displays the program information, version number and copyright.


Info pane

The Info pane

The Info pane contains 2 tabs, Functions and Working Dir.

The Functions tab lists all the functions that are present inside the document you are currently editing. Its purpose is to make finding the functions easy: just double-click the function to place the cursor where the function begins.

Right-click inside the Functions tab to bring the popup menu with the following options:

  • Go to. This options allows you to navigate to the selected function (same as double-clicking the function).
  • Copy. This copies the name of the selected function to the Clipboard.
  • Copy All. This copies all the function names in the Function tab to the Clipboard. This option is useful when you wish to provide documentation for the functions you have been writing.
  • Refresh. It is important to create the new functions using Operators/function (F8 key) to have them automatically added to the Functions tab. If you create the new functions in some other way, you can still direct the program to re-scan the document for all new, modified, or deleted functions by selecting Refresh. Also, switching to a different document automatically lists all the functions it contains.
When you write JavaScript code, you are typically working on one project at a time, located in one directory.
The Working Dir tab list all the files you have in your designated directory, and allows you to perform operations on them. To open a file for editing, just double-click on it.

Right-click inside the Working Dir tab to bring the popup menu with the following options:

  • Open in Editor. This option opens the selected file in the editor (same as double-clicking the file).
  • Open in Native Application. This opens the selected file using the native application for this file extension. For example, opening a .jpg or a .gif file might open Paint Shop Pro, opening a .txt file might open the Notepad, etc.
  • Change Working Directory. This option allows you to browse to specify the new working directory.
  • Explorer. Use this option after selecting one of the categories (Animation, Banner...) to explore the selected folder and copy, rename, and delete files.


Project pane

The Project pane

The project pane has only one tab, Solutions, with ready-to-use code and resources in several categories. The categories are organized as separate folders inside the Solutions folder.

Double-clicking any of the files in the Solutions tab will open it in the editor. You can also right-click a file in the Solutions tab to popup a menu with the following options:

  • Open in Editor. This option opens the selected file in the editor (same as double-clicking the file).
  • Open in Native Application. This opens the selected file using the native application for this file extension. For example, opening a .jpg or a .gif file might open Paint Shop Pro, opening a .txt file might open the Notepad, etc.
  • Copy to Working Directory. This option copies the selected file to your designated working directory (used in the Info pane, Working Dir tab).
  • Change Working Directory. This option allows you to browse to specify the new working directory.
  • Explorer. Use this option after selecting one of the categories (Animation, Banner...) to explore the selected folder and copy, rename, and delete files.
It is possible to add your own files to the Solutions directories. To do this, simply copy the files to one of the existing categories, or create new folders inside the Solutions folder.
Antechinus will scan the Solutions folders only once for each run, so if you change or add anything you will need to re-start the program to have the changes shown in the Solutions tab.